Issue single coupon

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to issue a series of coupons to a customer, enabling them to redeem the coupons.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/coupon/issue' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic Z2VvcmdlLmRvY2RlbW86NjVhMDgzYjk1MWY5MGY1NTY5NDk1YmNkNzUxYmJiY2U=' \
--header 'Cookie: _cfuvid=iUU642id2lwK4uBGHYKi7aKv0EaF6GgKEIXn1f._QJI-1768893329218-0.0.1.1-604800000' \
--data '{
    "seriesId": 868760,
    "customer": {
        "id": "",
        "mobile": "1234512345",
        "externalId": "",
        "email": ""
    }
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/v2/coupon/issue
HTTP methodPOST
PaginationNA
Batch supportNA

API endpoint example

https://eucrm.cc.capillarytech.com/v2/coupon/issue

Body parameter

FieldTypeRequiredDescription
seriesIdIntegerYesSpecifies the valid coupon series ID linked with the create coupon series.
customerObjectYesDefines the object containing customer details.
..idIntegerOptionalIndicates the unique identifier for the customer.
..mobileStringOptionalSpecifies the mobile number of the customer.
..externalIdStringOptionalIndicates an external identifier for the customer.
..emailStringOptionalSpecifies the email address of the customer.
📘

Note

Any one among the customer identifiers is mandatory.

Example response

{
    "code": "5875447216353555",
    "seriesId": 868760,
    "description": "Gold star coupons",
    "discountCode": "gold1234",
    "validTill": "2026-06-11T00:00:00Z",
    "discountType": "ABS",
    "discountValue": 1000,
    "discountUpto": 0,
    "discountOn": "BILL",
    "detailedInfo": "Gold star coupons",
    "customer": {
        "id": 566881933,
        "profiles": [
            {
                "firstName": "Dead",
                "lastName": "fool",
                "fields": {},
                "allFields": {},
                "identifiers": [
                    {
                        "type": "mobile",
                        "value": "1234512345"
                    },
                    {
                        "type": "email",
                        "value": "[email protected]"
                    },
                    {
                        "type": "externalId",
                        "value": "12341234"
                    }
                ],
                "commChannels": [],
                "userId": 566881933,
                "accountId": "",
                "autoUpdateTime": "2025-10-09T06:45:52Z",
                "identifiersAll": [
                    {
                        "type": "mobile",
                        "value": "1234512345"
                    },
                    {
                        "type": "email",
                        "value": "[email protected]"
                    },
                    {
                        "type": "externalId",
                        "value": "12341234"
                    }
                ]
            }
        ]
    },
    "redemptionCount": 0,
    "id": 0,
    "validTillDateTime": "2026-06-11T23:59:59Z",
    "warnings": []
}

Response parameter

ParameterData TypeDescription
codeStringThe unique coupon code generated. This code is used for redeeming the coupon.
seriesIdIntegerThe unique identifier for the coupon series.
descriptionStringDescription of the coupon.
discountCodeStringThis code is defined during the creation of the coupon series and is used as a POS identifier on member care. This will be used by the cashier at the Point of sale machine.
validTillString

Expiry date and time of the coupon in ISO 8601 format, returned in the server time zone.

EU server example 2026-06-11T00:00:00Z → 11 June 2026, 00:00:00 (UTC)

India server example 2026-06-11T05:30:00+05:30 → 11 June 2026, 05:30:00 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

validTillDateTime
string

Specifies the exact expiry date and time of a coupon in ISO 8601 format, returned in the server time zone.

EU server example 2026-06-11T23:59:59Z → 11 June 2026, 23:59:59 (UTC)

India server example 2026-06-12T05:29:59+05:30 → 12 June 2026, 05:29:59 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

discountTypeStringSpecifies the type of discount provided by the coupon. This is created during the creation of coupon series.
discountValueIntegerThe value of the discount. This is created during the creation of coupon series.
discountUptoIntegerThe maximum value up to which the discount can be applied. This is created during the creation of coupon series.
discountOnStringThe aspect on which the discount is applied. This is created during the creation of coupon series.
detailedInfoStringAdditional information about the coupon. This is created during the creation of coupon series.
customerObjectObject containing customer details.
customer.idIntegerThe unique identifier of the customer.
customer.profilesObjectObject containing profile details of the customer
customer.profiles.firstNameStringThe first name of the customer.
customer.profiles.lastNameStringThe last name of the customer.
customer.profiles.fieldsObjectAdditional fields related to the profile.
customer.profiles.allFieldsObjectAll fields related to the profile.
customer.profiles.identifiersObjectObject containing the details of customer identifiers.
customer.profiles.identifiers.typeStringType of identifier. Supported values: mobile, externalId.
customer.profiles.identifiers.valueStringValue of the identifier.
customer.profiles.commChannelsObjetObject containing the details of the mode of communication with the customer.
customer.profiles.userIdIntegerThe unique identifier of the customer.
customer.profiles.accountIdStringAccount ID associated with the customer.
customer.profiles.autoUpdateTimeString

The date and time when the customer profile was last automatically updated, in ISO 8601 format, returned in the server time zone.

EU server example 2025-10-09T06:45:52Z → 09 October 2025, 06:45:52 (UTC)

India server example 2025-10-09T12:15:52+05:30 → 09 October 2025, 12:15:52 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

customer.profiles.identifiersAllObjectThe object containing identifier objects of the profile.
customer.profiles.identifiersAll.typeStringType of identifier. Supported values: mobile, externalId.
customer.profiles.identifiersAll.valueStringValue of the identifier.
redemptionCountIntegerNumber of times the coupon has been redeemed.
idIntegerID generated for the issued coupon.
warningsArray of StringsThe array of warning messages related to the coupon.
 {
    "code": "ICJE1X12P6",
    "seriesId": 544770,
    "description": "Festival coupon",
    "discountCode": "erg123",
    "validTill": "2026-05-09T00:00:00Z",
    "discountType": "ABS",
    "discountValue": 500.0,
    "discountUpto": 0.0,
    "discountOn": "BILL",
    "detailedInfo": "Evil coupon",
    "customer": {
        "id": 555567088,
        "profiles": [
            {
                "firstName": "Tom",
                "lastName": "Hills",
                "fields": {},
                "allFields": {},
                "identifiers": [
                    {
                        "type": "mobile",
                        "value": "11223569865"
                    },
                    {
                        "type": "externalId",
                        "value": "000003873472"
                    }
                ],
                "commChannels": [],
                "userId": 555567088,
                "accountId": "",
                "autoUpdateTime": "2024-06-25T06:51:13Z",
                "identifiersAll": [
                    {
                        "type": "mobile",
                        "value": "11223569865"
                    },
                    {
                        "type": "externalId",
                        "value": "000003873472"
                    }
                ]
            }
        ]
    },
    "redemptionCount": 0,
    "id": 0,
    "warnings": []
}
Body Params
int32
required
customer
object
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json